---
tags: 
  - Shop
description: 
  Returns points within the provided GeoJSON polygon.  This is a publically accessible endpoint - it uses the user's API key to deliver points, and stores an Event to log the polygon requested.
  <br/>It's documented on the private API documentation though as it's quite specific to the Shop.
  <br/>`layers` attribute required as part of the body - e.g. `["asc", "desc"]`
parameters:
  - in: header
    name: Authorization
    type: string
    required: true
  - in: body
    name: body
    type: object
    required: true
    schema:
      example: {"type":"Polygon","layers": ["asc", "desc"], "coordinates":[[[11.122102,47.807516],[11.122102,47.807661],[11.122358,47.807661],[11.122358,47.807516],[11.122102,47.807516]]]}
produces: 
  - 'application/json'
responses:
  200:
    schema:
      type: object
      properties:
        type:
          type: string
          example: FeatureCollection
        base_price:
          type: float
          example: 123.45
        points:
          type: features
          example: [
            {
                "type": "Feature",
                "properties": {
                    "id": 4113547
                },
                "geometry": {
                    "type": "Point",
                    "coordinates": [
                        11.122265815734863,
                        47.80752182006836
                    ]
                }
            },
            {
                "type": "Feature",
                "properties": {
                    "id": 4113548
                },
                "geometry": {
                    "type": "Point",
                    "coordinates": [
                        11.122312545776367,
                        47.807525634765625
                    ]
                }
            }
        ]
  204:
    schema:
      type: object

  401:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'User not authorised'
  406:
    schema:
      type: object
      properties:
        error:
          type: string
          example: 'Must specify layers'

